#
# Makefile generated at Mon Nov 18 17:47:59 2002
#
HDIRS = -I..\
 -I./\
 -I../G\
 -I../CMD\
 -I../M\
 -I../U\
 -I/usr/include -I/usr/include/sys -I/usr/include/netinet
IDIRS = -I..\
 -I./\
 -I../G\
 -I../CMD\
 -I../M\
 -I../U

#
# $Id: fit.makedefs,v 1.2 2002/11/18 16:47:14 kraemer Exp $
# $Log: fit.makedefs,v $
# Revision 1.2  2002/11/18 16:47:14  kraemer
# multi-OS added
#
# Revision 1.1.1.1  1997/07/10 17:59:56  kraemer
# revision for cvs
#
#
# VPATH = $(CVSROOT)/FIT
CCOMP =  cc
LIB = libfit.a
.s.a:
	cc  -c $(CFLAGS) $*.s
	ar rv $@ $*.o
	rm -f    $*.o
OS::
	@case `uname` in \
	AIX) \
	   $(MAKE) -f fit.make CFLAGS="-O3 -qstrict -qcpluscmt -qidirfirst $(HDIRS) -I/usr/include/sys" SYSTEM;; \
	Linux) \
	   $(MAKE) -f fit.make CFLAGS="-I/usr/X11/include -O2 $(HDIRS)" SYSTEM;; \
	IRIX) \
	   $(MAKE) -f fit.make CFLAGS="-O2 $(HDIRS)" SYSTEM;; \
	OSF1) \
	   $(MAKE) -f fit.make CFLAGS="-O2 $(HDIRS)" SYSTEM;; \
	HP-UX) \
	   $(MAKE) -f fit.make CFLAGS="-Ae -D_XPG2 -O $(HDIRS)" SYSTEM;; \
	epix) \
	   $(MAKE) -f fit.make CFLAGS="-systype svr4 -O2 $(HDIRS)" SYSTEM;; \
	SunOS) \
	   $(MAKE) -f fit.make CFLAGS=" -O -Xt $(HDIRS)" SYSTEM;; \
	esac;
SYSTEM :  \
   $(LIB)(fit1dlsq.o) \
   $(LIB)(fitanlxfer.o) \
   $(LIB)(fitbtree.o) \
   $(LIB)(fitcal.o) \
   $(LIB)(fitcmddisp.o) \
   $(LIB)(fitcmderr.o) \
   $(LIB)(fitcmdexp.o) \
   $(LIB)(fitcmdfit.o) \
   $(LIB)(fitcmdinit.o) \
   $(LIB)(fitcmdlast.o) \
   $(LIB)(fitcmdleg.o) \
   $(LIB)(fitcmdlike.o) \
   $(LIB)(fitcmdmlfit.o) \
   $(LIB)(fitcmdpar.o) \
   $(LIB)(fitcmdpeaks.o) \
   $(LIB)(fitcmdpoly.o) \
   $(LIB)(fitcmdres.o) \
   $(LIB)(fitcmdstore.o) \
   $(LIB)(fitcmdsum.o) \
   $(LIB)(fitcmdwdw.o) \
   $(LIB)(fitcmdxcal.o) \
   $(LIB)(fitdata.o) \
   $(LIB)(fitdatafct.o) \
   $(LIB)(fitdatawdw.o) \
   $(LIB)(fitdataxfer.o) \
   $(LIB)(fitemsg.o) \
   $(LIB)(fitexpon.o) \
   $(LIB)(fitfct.o) \
   $(LIB)(fitfctblk.o) \
   $(LIB)(fitgauss.o) \
   $(LIB)(fitinit.o) \
   $(LIB)(fitleg.o) \
   $(LIB)(fitlortz.o) \
   $(LIB)(fitpar.o) \
   $(LIB)(fitpoly.o) \
   $(LIB)(fitstat.o) \
   $(LIB)(fittxtxfer.o) \
   $(LIB)(fitusr.o) \
   $(LIB)(fitwdw.o) \
   $(LIB)(fitcmdusr.o) 
	ar -st $(LIB)
# 
# Compile & librarian, intermediate .o's not kept
# 
$(LIB)(fit1dlsq.o) : fit1dlsq.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitanlxfer.o) : fitanlxfer.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitbtree.o) : fitbtree.c \
   ../M/m.h \
   ../M/btree.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcal.o) : fitcal.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmddisp.o) : fitcmddisp.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmderr.o) : fitcmderr.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdexp.o) : fitcmdexp.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../M/polfit.h \
   ../G/g.h \
   ../G/ilbm.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdfit.o) : fitcmdfit.c \
   ../M/m.h \
   ../CMD/cmd.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdinit.o) : fitcmdinit.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdlast.o) : fitcmdlast.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdleg.o) : fitcmdleg.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdlike.o) : fitcmdlike.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdmlfit.o) : fitcmdmlfit.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdpar.o) : fitcmdpar.c \
   ../M/m.h \
   ../CMD/cmd.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdpeaks.o) : fitcmdpeaks.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdpoly.o) : fitcmdpoly.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdres.o) : fitcmdres.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdstore.o) : fitcmdstore.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdsum.o) : fitcmdsum.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../M/btree.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdwdw.o) : fitcmdwdw.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdxcal.o) : fitcmdxcal.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../M/polfit.h \
   ../CMD/cmd.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitdata.o) : fitdata.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitdatafct.o) : fitdatafct.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitdatawdw.o) : fitdatawdw.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitdataxfer.o) : fitdataxfer.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitemsg.o) : fitemsg.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitexpon.o) : fitexpon.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitfct.o) : fitfct.c \
   ../M/m.h \
   ../M/btree.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitfctblk.o) : fitfctblk.c \
   ../M/m.h \
   ../M/btree.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitgauss.o) : fitgauss.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitinit.o) : fitinit.c \
   ../M/m.h \
   ../CMD/cmd.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../CMD/cmderr.h \
   ../CMD/ipar.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitleg.o) : fitleg.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitlortz.o) : fitlortz.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitpar.o) : fitpar.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitpoly.o) : fitpoly.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitstat.o) : fitstat.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fittxtxfer.o) : fittxtxfer.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitusr.o) : fitusr.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitwdw.o) : fitwdw.c \
   ../M/m.h \
   ../G/g.h \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 
$(LIB)(fitcmdusr.o) : fitcmdusr.c \
   ../U/u.h \
   ../U/exec/types.h \
   ../U/exec/lists.h \
   ../U/exec/nodes.h \
   ../M/m.h \
   ../M/btree.h \
   ../G/g.h \
   ../G/ilbm.h \
   ../M/polfit.h \
   ./fit.h \
   ./fitusr.h 


